General foo2oak :  foo2zjs - foo2hp - foo2xqx - foo2lava - foo2qpdl - foo2oak
Support for linux printer drivers
The fastest message board... ever.
 
foo2oak-wrapper typo causes foomatic-rip failure
Posted by: jdf ()
Date: January 11, 2009 07:01AM

After a bit of annoying fiddling, I found that a missing ";;" after line 483 in the foo2oak-wrapper script was causing my printing system to fail, giving the following uninformative error in /var/log/cups/error_log:
E [11/Jan/2009:16:37:16 +1100] PID 11469 (/usr/lib/cups/filter/foomatic-rip) stopped with status 1!
...or, when I tried to run the script directly:
/usr/bin/foo2oak-wrapper: 484: Syntax error: ")" unexpected (expecting ";;")

This is in ubuntu 8.10 as well as the current download from your site. I got to these errors after I finally worked out that I had to remove the following packages first, to stop the proprietary driver interfering:
foomatic-db-hpijs hpijs hplip hplip-data

Apart from that, thanks for your brilliant work, making my dodgy hardware work under linux! I think it merits an OpenPrinting database update :-)

Jeremy

Options: ReplyQuote
Re: foo2oak-wrapper typo causes foomatic-rip failure
Posted by: rickrich ()
Date: January 11, 2009 07:25AM

Thanks!

From Changelog...

2009-01-11 Rick Richardson <rick.richardson@comcast.net>
* foo2oak-wrapper bug fix

Options: ReplyQuote


Sorry, you can't reply to this topic. It has been closed.
This forum powered by Phorum.